Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class AuthenticatedUserLoginManagerImpl

    java.lang.Object
      oracle.ifs.fdk.impl.AuthenticatedUserLoginManagerImpl

All Implemented Interfaces:
  java.rmi.Remote, AuthenticatedUserLoginManager

    public class AuthenticatedUserLoginManagerImpl

extends java.lang.Object
implements AuthenticatedUserLoginManager

Authenticated User login manager for creating a session for the web services security authenticated user.

Constructor Summary
`AuthenticatedUserLoginManagerImpl()`

Method Summary
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`protected java.security.Principal` | `getWsSecurityUser()` Get the Web Services Security User.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`NamedValue[]` | `login(NamedValue[] options, AttributeRequest[] userAttributes)` Start a session for the currently authenticated user.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticatedUserLoginManagerImpl

    public AuthenticatedUserLoginManagerImpl()

Method Detail

### login

    public NamedValue[] login(NamedValue[] options,
                              AttributeRequest[] userAttributes)
                       throws FdkException

  Description copied from class: `AuthenticatedUserLoginManagerImpl`
  Start a session for the currently authenticated user. The current session tracking mechanism is via HTTP session cookies. The client MUST pass back ALL cookies received from the server after this call otherwise the session may be lost.

  Specified by:
    `login` in interface `AuthenticatedUserLoginManager`
  Parameters:
    `options` - Options that should be set on the session. NOTE: Currently no options are supported, this argument is ignored and `null` can be safely passed.
    `userAttributes` - Optional attributes on the user item that should be returned. Can be `null`.
  Returns:
    A `NamedValue[]` set of properties that contains the following keys (listed below as defined constants and literal strings):
    `WebServicesConstants.LOGIN_USER ("LOGIN_USER")` - The user item, which includes the requested attributes.
    `WebServicesConstants.SESSION_TIMEOUT ("SESSION_TIMEOUT")` - The session inactivity timeout, in seconds.
    `WebServicesConstants.TRANSACTION_TIMEOUT ("TRANSACTION_TIMEOUT")` - The transaction inactivity timeout, in seconds.
  Throws:
    `FdkException`

### getWsSecurityUser

    protected java.security.Principal getWsSecurityUser()

  Description copied from class: `AuthenticatedUserLoginManagerImpl`
  Get the Web Services Security User. This method should be overridden.

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD